# ReflectionClassConstant::__construct

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::__construct — Construit une ReflectionClassConstant

### Description

public ReflectionClassConstant::__construct(object|string `$class`, string `$constant`)

Construit un nouvel objet ReflectionClassConstant.

### Liste de paramètres

`class`

  Soit une chaîne de caractères contenant le nom de la classe a refléter, soit un objet.

`constant`

  Le nom de la constante de classe.

### Erreurs / Exceptions

Lance une Exception dans le cas où la constante de classe fournit n'existe pas.

### Voir aussi

- Constructors